Bug 684215 - Lilypond appears to be GPLv3, but the RPM states License: GPLv2
Summary: Lilypond appears to be GPLv3, but the RPM states License: GPLv2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lilypond
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 13:59 UTC by James Wilkinson
Modified: 2011-03-21 20:59 UTC (History)
2 users (show)

Fixed In Version: lilypond-doc-2.13.49-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-16 04:11:45 UTC


Attachments (Terms of Use)

Description James Wilkinson 2011-03-11 13:59:01 UTC
Description of problem:

$ rpm -qi lilypond
Name        : lilypond                     Relocations: (not relocatable)
Version     : 2.13.39                           Vendor: Fedora Project
Release     : 3.fc14                        Build Date: Wed 29 Dec 2010 16:48:49 GMT
Install Date: Fri 11 Mar 2011 13:53:43 GMT      Build Host: x86-11.phx2.fedoraproject.org
Group       : Applications/Publishing       Source RPM: lilypond-2.13.39-3.fc14.src.rpm
Size        : 10545399                         License: GPLv2
                                                        ^^^^^

but it contains:

$ more /usr/share/doc/lilypond-2.13.39/COPYING
                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007
                       ^^^^^^^^^

The spec does not seem to match reality!

Comment 1 Orcan Ogetbil 2011-03-11 15:39:27 UTC
I don't want to sound like the bad guy, but that's not how we determine the package licenses at Fedora. See
   http://fedoraproject.org/wiki/PackagingGuidelines#Licensing

We need to look into all of the source files, and extract the license information.

It might happen (and it has happened in the past) that different subsets of the source code are licensed under different licenses but the tarball does not contain the license texts of all these licenses. See

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Moreover it might happen (and it has happened in the past) that the author just put a wrong COPYING file into the tarball by mistake.

Just looking into the COPYING file is not the way to determine the license of the package.

Comment 2 Fedora Update System 2011-03-11 16:13:13 UTC
lilypond-doc-2.13.49-2.fc15,lilypond-2.13.49-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lilypond-doc-2.13.49-2.fc15,lilypond-2.13.49-2.fc15

Comment 3 Fedora Update System 2011-03-11 16:13:21 UTC
lilypond-doc-2.13.49-2.fc14,lilypond-2.13.49-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lilypond-doc-2.13.49-2.fc14,lilypond-2.13.49-2.fc14

Comment 4 Fedora Update System 2011-03-16 04:11:41 UTC
lilypond-doc-2.13.49-2.fc15, lilypond-2.13.49-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-03-21 20:59:49 UTC
lilypond-doc-2.13.49-2.fc14, lilypond-2.13.49-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.